using SushiBarContracts.Attributes;
using SushiBarDataModels;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SushiBarContracts.ViewModels
{
    public class ImplementerViewModel : IImplementerModel
    {
        [Column(visible: false)]
        public int Id { get; set; }

        [Column(title: "Исполнитель ФИО", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string ImplementerFIO { get; set; } = string.Empty;

        [Column(title: "Пароль", gridViewAutoSize: GridViewAutoSize.Fill, isUseAutoSize: true)]
        public string Password { get; set; } = string.Empty;

        [Column(title: "Опыт работы", width: 130)]
        public int WorkExperience { get; set; }

        [Column(title: "Квалификация", width: 130)]
        public int Qualification { get; set; }
    }
}
